Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 289539 - stabilize net-irc/ircservices-5.1.17
Summary: stabilize net-irc/ircservices-5.1.17
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: New packages (show other bugs)
Hardware: All Linux
: High enhancement (vote)
Assignee: Bjarke Istrup Pedersen (RETIRED)
URL:
Whiteboard:
Keywords: STABLEREQ
Depends on:
Blocks: glibc-2.10-stable
  Show dependency tree
 
Reported: 2009-10-18 01:44 UTC by Ryan Hill (RETIRED)
Modified: 2009-12-28 19:06 UTC (History)
3 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
build.log (net-irc:ircservices-5.1.17:20091018-125822.log,9.42 KB, text/plain)
2009-10-18 13:04 UTC, Samuli Suominen
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Ryan Hill (RETIRED) gentoo-dev 2009-10-18 01:44:32 UTC
Please stabilize 5.1.17 for glibc-2.10 compatibility.
Comment 1 Bjarke Istrup Pedersen (RETIRED) gentoo-dev 2009-10-18 08:03:43 UTC
Yes, it's about time :-)

Archs, please test and stabilize.
Comment 2 Samuli Suominen gentoo-dev 2009-10-18 13:04:29 UTC
Created attachment 207482 [details]
build.log

Same failure as with ircservices-5.0.63. 

This is a different system this time, all stable except for GLIBC 2.10.1 which I'm testing for stable.

No previous stable keyword -> No stable keyword.
Comment 3 Mathias Rissler 2009-11-08 21:15:18 UTC
This issue appears to be fixed with sys-libs/glibc-2.11.

Tried to compile net-irc/ircservices-5.1.17 using sys-libs/glibc-2.10 and had the same effect as the attachment of comment #2 is showing.
Now with sys-libs/glibc-2.11 the ircservices actually compiled and are running.

environment:
CFLAGS="-march=athlon64 -O2 -pipe"
CHOST="x86_64-pc-linux-gnu"
CXXFLAGS="${CFLAGS}"
MAKEOPTS="-j3"
gcc version 4.4.2
Comment 4 Markus Meier gentoo-dev 2009-11-21 17:32:37 UTC
x86 stable
Comment 5 nixnut (RETIRED) gentoo-dev 2009-12-28 19:01:22 UTC
ppc stable